import java.io.*;
class FileAccept implements FilenameFilter {
	String str = null;
	FileAccept(String s) {                     //定义构造方法
	    str = "." + s;
	}
	public boolean accept(File dir, String name) {  //实现accept方法
	    return name.endsWith(str);
	}
}
public class Example8_3 {
	  public static void main(String args[]) {
		   File dir = new File("C:\\java");                          
		   FileAccept acceptCondition = new FileAccept("java");     //设置文件的后缀为“.java”
		   String fileList[] = dir.list(acceptCondition);              //获取文件名
		        System.out.println("目录下有" + fileName.length + "个文件");
		   for (int i = 0; i < fileName.length; i++) {
			   System.out.println(fileName[i]);          //利用循环输出目录中符合条件的所有文件
		   }
	  }
}
